package com.ruoyi.ems.domain;

import com.huashe.common.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 能源设施工艺系统维对象 dim_ems_dev_process
 * 
 * @author ruoyi
 * @date 2024-09-23
 */
public class EmsDevProcess extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 序号 */
    private Long id;

    /** 工艺代码 */
    private String psCode;

    /** 工艺名称 */
    private String psName;

    /** 工艺系统说明 */
    private String desc;

    /** 设施分类代码 */
    private String categoryCode;

    /** 设施子类代码 */
    private String subcategoryCode;

    /** 数据版本 */
    private String version;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setPsCode(String psCode) 
    {
        this.psCode = psCode;
    }

    public String getPsCode() 
    {
        return psCode;
    }
    public void setPsName(String psName) 
    {
        this.psName = psName;
    }

    public String getPsName() 
    {
        return psName;
    }
    public void setDesc(String desc) 
    {
        this.desc = desc;
    }

    public String getDesc() 
    {
        return desc;
    }
    public void setCategoryCode(String categoryCode) 
    {
        this.categoryCode = categoryCode;
    }

    public String getCategoryCode() 
    {
        return categoryCode;
    }
    public void setSubcategoryCode(String subcategoryCode) 
    {
        this.subcategoryCode = subcategoryCode;
    }

    public String getSubcategoryCode() 
    {
        return subcategoryCode;
    }
    public void setVersion(String version) 
    {
        this.version = version;
    }

    public String getVersion() 
    {
        return version;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("psCode", getPsCode())
            .append("psName", getPsName())
            .append("desc", getDesc())
            .append("categoryCode", getCategoryCode())
            .append("subcategoryCode", getSubcategoryCode())
            .append("version", getVersion())
            .toString();
    }
}
